<Serializable()> _
Public Class BLWebConfigSettingsCollection
  Implements IWebConfigSettingsCollection

    Dim m_WebConfigSetting As List(Of IWebConfigSetting)

    Public Property WebConfigSetting() As List(Of IWebConfigSetting) Implements IWebConfigSettingsCollection.WebConfigSetting
        Get
            Return m_WebConfigSetting
        End Get
        Set(ByVal value As List(Of IWebConfigSetting))
            m_WebConfigSetting = value
        End Set
    End Property
End Class
<Serializable()> _
Public Class BLWebConfigSetting
  Implements IWebConfigSetting

    Dim m_id As String
    Dim m_key As String
    Dim m_XMLData As String

    Public Property ID() As String Implements IWebConfigSetting.ID
        Get
            Return m_id
        End Get
        Set(ByVal value As String)
            m_id = value
        End Set
    End Property
    Public Property key() As String Implements IWebConfigSetting.key
        Get
            Return m_key
        End Get
        Set(ByVal value As String)
            m_key = value
        End Set
    End Property
    Public Property XMLData() As String Implements IWebConfigSetting.XMLData
        Get
            Return m_XMLData
        End Get
        Set(ByVal value As String)
            m_XMLData = value
        End Set
    End Property
End Class
